com.h3c.sdn.hostManager

## Class HostEntity

- java.lang.Object
- - com.h3c.sdn.AbstractModel<T,UUID>
  - - com.h3c.sdn.Model<T>
    - - com.h3c.sdn.SystemModel<HostEntity>
      - - com.h3c.sdn.hostManager.HostEntity

- All Implemented Interfaces:
    Timeable, Transportable<HostEntity,UUID>, Serializable

      public class HostEntity
      extends SystemModel<HostEntity>
      implements Timeable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostEntity(Id<HostEntity,UUID> id, Id<SystemInformation,UUID> sysId, IpAddress ipAddr, MacAddress macAddr, VId vid, DataPathId dpid, BigPortNumber port, int ctlId, boolean state)`
    `HostEntity(Id<SystemInformation,UUID> sysId, IpAddress ipAddr, MacAddress macAddr, VId vid, DataPathId dpid, BigPortNumber port, int ctlId, boolean state)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getControllerId()`
    `DataPathId` | `getDpid()`
    `IpAddress` | `getIpAddr()`
    `MacAddress` | `getMacAddr()`
    `BigPortNumber` | `getPort()`
    `static long` | `getSerialversionuid()`
    `boolean` | `getState()`
    `Date` | `getTimestamp()` Gets the time the event occurred.
    `VId` | `getVid()`

    - ### Methods inherited from class com.h3c.sdn.SystemModel

      `getSysId, toString`

    - ### Methods inherited from class com.h3c.sdn.AbstractModel

      `equals, getId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HostEntity

          public HostEntity(Id<SystemInformation,UUID> sysId,
                    IpAddress ipAddr,
                    MacAddress macAddr,
                    VId vid,
                    DataPathId dpid,
                    BigPortNumber port,
                    int ctlId,
                    boolean state)

    - #### HostEntity

          public HostEntity(Id<HostEntity,UUID> id,
                    Id<SystemInformation,UUID> sysId,
                    IpAddress ipAddr,
                    MacAddress macAddr,
                    VId vid,
                    DataPathId dpid,
                    BigPortNumber port,
                    int ctlId,
                    boolean state)

  - ### Method Detail

    - #### getTimestamp

          public Date getTimestamp()

      Description copied from interface: `Timeable`
      Gets the time the event occurred.
      Specified by:
        `getTimestamp` in interface `Timeable`
      Returns:
        the timestamp

    - #### getIpAddr

          public IpAddress getIpAddr()

    - #### getMacAddr

          public MacAddress getMacAddr()

    - #### getVid

          public VId getVid()

    - #### getDpid

          public DataPathId getDpid()

    - #### getPort

          public BigPortNumber getPort()

    - #### getControllerId

          public int getControllerId()

    - #### getSerialversionuid

          public static long getSerialversionuid()

    - #### getState

          public boolean getState()

Copyright © 2014. All Rights Reserved.